## e-url e-url |

## Functions

EUri * | e_uri_new ()
void | e_uri_free ()
const gchar * | e_uri_get_param ()
EUri * | e_uri_copy ()
gchar * | e_uri_to_string ()
gchar * | e_url_shroud ()
gboolean | e_url_equal ()

## Types and Values

struct | EUri

## Description

## Functions

### e_uri_new ()

    EUri *
    e_uri_new (const gchar *uri_string);

`e_uri_new` is deprecated and should not be used in newly-written code.

Creates an EUri representation of the uri given in `uri_string` .

#### Parameters

uri_string | The uri to represent as an EUri. |

#### Returns

The newly-allocated EUri structure.

### e_uri_free ()

    void
    e_uri_free (EUri *uri);

`e_uri_free` is deprecated and should not be used in newly-written code.

Frees the memory of an EUri structure.

#### Parameters

uri | A pointer to the EUri to free. |

### e_uri_get_param ()

    const gchar *
    e_uri_get_param (EUri *uri,
                     const gchar *name);

`e_uri_get_param` is deprecated and should not be used in newly-written code.

Retrieves the value of the parameter associated with `name` in `uri` .

#### Parameters

uri | The EUri to get the parameter from. |
name | The name of the parameter to get. |

#### Returns

The value of the parameter.

### e_uri_copy ()

    EUri *
    e_uri_copy (EUri *uri);

`e_uri_copy` is deprecated and should not be used in newly-written code.

Makes a copy of `uri` .

#### Parameters

uri | The EUri to copy. |

#### Returns

The newly-allocated copy of `uri` .

### e_uri_to_string ()

    gchar *
    e_uri_to_string (EUri *uri,
                     gboolean show_password);

`e_uri_to_string` is deprecated and should not be used in newly-written code.

Creates a string representation of `uri` . The password will only be included in the string if `show_password` is set to `TRUE`.

#### Parameters

uri | The EUri to convert to a string. |
show_password | Whether or not to show the password in the string. |

#### Returns

The string representation of `uri` .

### e_url_shroud ()

    gchar *
    e_url_shroud (const gchar *url);

`e_url_shroud` is deprecated and should not be used in newly-written code.

Removes the moniker (i.e. mailto:) from a url.

#### Parameters

url | The url to shroud. |

#### Returns

The newly-allocated shrouded url.

### e_url_equal ()

    gboolean
    e_url_equal (const gchar *url1,
                 const gchar *url2);

`e_url_equal` is deprecated and should not be used in newly-written code.

Checks two urls for equality, after first removing any monikers on the urls.

#### Parameters

url1 | The first url to compare. |
url2 | The second url to compare. |

#### Returns

`TRUE` if the urls are equal, `FALSE` if they are not.

## Types and Values

### struct EUri

    struct EUri {
    	gchar *protocol;
    	gchar *user;
    	gchar *authmech;
    	gchar *passwd;
    	gchar *host;
    	gint port;
    	gchar *path;
    	GData *params;
    	gchar *query;
    	gchar *fragment;
    };

`EUri` is deprecated and should not be used in newly-written code.

A structure representing a URI.

#### Members

gchar *`protocol`; | The protocol to use. |
gchar *`user`; | A user name. |
gchar *`authmech`; | The authentication mechanism. |
gchar *`passwd`; | The connection password. |
gchar *`host`; | The host name. |
gint `port`; | The port number. |
gchar *`path`; | The file path on the host. |
GData *`params`; | Additional parameters. |
gchar *`query`; | The URI query. |
gchar *`fragment`; | The URI fragment. |